/* config.h.  Generated by configure.  */
/*
 * "$Id: config.h,v 1.47 2005/02/16 17:58:00 jlovell Exp $"
 *
 *   Configuration file for the Common UNIX Printing System (CUPS).
 *
 *   @configure_input@
 *
 *   Copyright 1997-2005 by Easy Software Products.
 *
 *   These coded instructions, statements, and computer programs are the
 *   property of Easy Software Products and are protected by Federal
 *   copyright law.  Distribution and use rights are outlined in the file
 *   "LICENSE.txt" which should have been included with this file.  If this
 *   file is missing or damaged please contact Easy Software Products
 *   at:
 *
 *       Attn: CUPS Licensing Information
 *       Easy Software Products
 *       44141 Airport View Drive, Suite 204
 *       Hollywood, Maryland 20636 USA
 *
 *       Voice: (301) 373-9600
 *       EMail: cups-info@cups.org
 *         WWW: http://www.cups.org
 */

#ifndef _CUPS_CONFIG_H_
#define _CUPS_CONFIG_H_

/*
 * Version of software...
 */

#define CUPS_SVERSION "CUPS v1.1.23"
#define CUPS_MINIMAL "CUPS/1.1.23"


/*
 * Default user and group...
 */

#define CUPS_DEFAULT_USER "lp"
#define CUPS_DEFAULT_GROUP "lp"


/*
 * Maximum number of file descriptors to support.
 */

#define CUPS_MAX_FDS 4096


/*
 * Do we have domain socket support?
 */

#define HAVE_DOMAINSOCKETS 1
#define CUPS_DEFAULT_DOMAINSOCKET "/private/var/run/cupsd"


/*
 * Where are files stored?
 */

#define CUPS_LOCALEDIR "/usr/share/locale"
#define CUPS_SERVERROOT "/private/etc/cups"
#define CUPS_SERVERBIN "/usr/libexec/cups"
#define CUPS_DOCROOT "/usr/share/doc/cups"
#define CUPS_REQUESTS "/private/var/spool/cups"
#define CUPS_LOGDIR "/private/var/log/cups"
#define CUPS_DATADIR "/usr/share/cups"
#define CUPS_FONTPATH "/usr/share/cups/fonts"


/*
 * What is the format string for strftime?
 */

#define CUPS_STRFTIME_FORMAT "%c"


/*
 * Do we have various image libraries?
 */

/* #undef HAVE_LIBPNG */
#define HAVE_LIBZ 1
/* #undef HAVE_LIBJPEG */
/* #undef HAVE_LIBTIFF */


/*
 * Does this machine store words in big-endian (MSB-first) order?
 */

#define WORDS_BIGENDIAN 1


/*
 * Which directory functions and headers do we use?
 */

#define HAVE_DIRENT_H 1
/* #undef HAVE_SYS_DIR_H */
/* #undef HAVE_SYS_NDIR_H */
/* #undef HAVE_NDIR_H */
#define HAVE_LIBGEN_H 1


/*
 * Do we have PAM stuff?
 */

#ifndef HAVE_LIBPAM
#define HAVE_LIBPAM 1
#endif /* !HAVE_LIBPAM */

#define HAVE_PAM_PAM_APPL_H 1


/*
 * Do we have <shadow.h>?
 */

/* #undef HAVE_SHADOW_H */


/*
 * Do we have <crypt.h>?
 */

/* #undef HAVE_CRYPT_H */


/*
 * Use <string.h>, <strings.h>, and/or <bstring.h>?
 */

#define HAVE_STRING_H 1
#define HAVE_STRINGS_H 1
/* #undef HAVE_BSTRING_H */


/*
 * Do we have the strXXX() functions?
 */

#define HAVE_STRDUP 1
#define HAVE_STRCASECMP 1
#define HAVE_STRNCASECMP 1
#define HAVE_STRLCAT 1
#define HAVE_STRLCPY 1


/*
 * Do we have the geteuid() function?
 */

#define HAVE_GETEUID 1


/*
 * Do we have the vsyslog() function?
 */

#define HAVE_VSYSLOG 1


/*
 * Do we have the (v)snprintf() functions?
 */

#define HAVE_SNPRINTF 1
#define HAVE_VSNPRINTF 1


/*
 * What signal functions to use?
 */

#define HAVE_SIGSET 1
#define HAVE_SIGACTION 1


/*
 * What wait functions to use?
 */

#define HAVE_WAITPID 1
#define HAVE_WAIT3 1


/*
 * Do we have the mallinfo function and malloc.h?
 */

/* #undef HAVE_MALLINFO */
/* #undef HAVE_MALLOC_H */


/*
 * Do we have the langinfo.h header file?
 */

#define HAVE_LANGINFO_H 1


/*
 * Do we have the dlfcn.h header file?
 */

#define HAVE_DLFCN_H 1


/*
 * Which encryption libraries do we have?
 */

#define HAVE_CDSASSL 1
/* #undef HAVE_GNUTLS */
/* #undef HAVE_LIBSSL */
#define HAVE_SSL 1


/*
 * Do we have the OpenSLP library?
 */

/* #undef HAVE_LIBSLP */


/*
 * Do we have libpaper?
 */

/* #undef HAVE_LIBPAPER */


/*
 * Do we have DNS Service Discovery (aka Bonjour)?
 */

#define HAVE_DNSSD 1


/*
 * Do we have <sys/ioctl.h>?
 */

#define HAVE_SYS_IOCTL_H 1


/*
 * Do we have <inttypes.h>?
 */

#define HAVE_INTTYPES_H 1


/*
 * Do we have mkstemp() and/or mkstemps()?
 */

#define HAVE_MKSTEMP 1
#define HAVE_MKSTEMPS 1


/*
 * Does the "tm" structure contain the "tm_gmtoff" member?
 */

#define HAVE_TM_GMTOFF 1


/*
 * Do we have rresvport()?
 */

#define HAVE_RRESVPORT 1


/*
 * Do we have getifaddrs()?
 */

#define HAVE_GETIFADDRS 1


/*
 * Do we have hstrerror()?
 */

#define HAVE_HSTRERROR 1


/*
 * Do we have the <sys/sockio.h> header file?
 */

#define HAVE_SYS_SOCKIO_H 1


/*
 * Do we have MacOSX 10.3's notify_post() and
 *    CFLocaleCreateCanonicalLocaleIdentifierFromString()?
 */

#define HAVE_NOTIFY_H 1
#define HAVE_NOTIFY_POST 1
#define HAVE_CF_LOCALE_ID 1


/*
 * Do we have MacOSX 10.4's mbr_XXX functions()?
 */

#define HAVE_MEMBERSHIP_H 1
#define HAVE_MBR_UID_TO_UUID 1


/*
 * Does the sockaddr structure contain an sa_len parameter?
 */

/* #undef HAVE_STRUCT_SOCKADDR_SA_LEN */


/*
 * Do we have the AIX usersec.h header file?
 */

/* #undef HAVE_USERSEC_H */


/*
 * Various scripting languages...
 */

#define HAVE_JAVA 1
#define CUPS_JAVA "/usr/bin/java"
#define HAVE_PERL 1
#define CUPS_PERL "/usr/bin/perl"
#define HAVE_PHP 1
#define CUPS_PHP "/usr/bin/php"
#define HAVE_PYTHON 1
#define CUPS_PYTHON "/usr/bin/python"


#endif /* !_CUPS_CONFIG_H_ */

/*
 * End of "$Id: config.h,v 1.47 2005/02/16 17:58:00 jlovell Exp $".
 */
